Name:           pidgin-privacy-please
Version:        0.6.4
Release:        1%{?dist}
Summary:        Security and Privacy plugin for Pidgin
Summary(fr):    Plugin de sécurité et confidentialité pour Pidgin

Group:          Applications/Internet
License:        GPLv2+
URL:            http://code.google.com/p/pidgin-privacy-please/
Source0:        http://pidgin-privacy-please.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?rhel} <= 5
ExcludeArch:    ppc
%endif
BuildRequires:  intltool
BuildRequires:  pidgin-devel
Requires:       pidgin


%description
pidgin-privacy-please is a Pidgin plugin to stop spammers from annoying you.
It offers the following features:
  - Block individual users
  - Auto-reply to blocked messages
  - Block messages from people who are not on your contact list (with an
optional auto-reply)
  - Block messages using regular expressions, either against the message
sender, the message content, or both
  - Suppress repeated/all authorization requests
  - Suppress OSCAR (ICQ/AIM) authorization requests
  - Automatically show user info on authorization requests
  - Block jabber headline messages (eg. alerts from the MSN transport)
  - Block AOL system messages
  - Challenge-response bot-check 
%description -l fr
pidgin-privacy-please est un plugin pour Pidgin qui va empêcher les spammeurs
de vous ennuyer.
Il offre les fonctionnalités suivantes :
  - Blocage d'utilisateurs
  - Réponse automatique pour les messages bloqués
  - Bloque les messages des personnes qui ne sont pas dans votre liste de
contacts (avec une réponse automatique en option)
  - Filtre les messages en utilisant des expressions régulières, dans
l'expéditeur du message, son contenu, ou les deux
  - Supprime les demandes d'autorisation répétées
  - Supprime les demandes d'autorisation d'OSCAR (ICQ / AIM)
  - Affiche automatiquement les informations de l'utilisateur qui demandes une
autorisation
  - Bloque les messages titre de jabber (ex: alertes de transport MSN)
  - Bloque les messages système d'AOL
  - Contrôle des bot par la méthode Challenge-réponse


%prep
%setup -q -n %{name}-%{version}%{?prever}


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{name}

# remove .la file
%{__rm} %{buildroot}/%{_libdir}/pidgin/libpidgin_pp.la


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/pidgin/libpidgin_pp.so


%changelog
* Sat Nov 06 2010 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.6.4-1
- Upstream 0.6.4

* Fri Jul 16 2010 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.6.3-2
- Add BR intltool
- Exclude ppc only for RHEL <= 5

* Wed Jul 14 2010 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.6.3-1
- Upstream 0.6.3

* Thu Nov 05 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.6.1-1
- Upstream 0.6.1

* Thu Aug 27 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.6.0-1
- Upstream 0.6

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 24 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.4-1
- Upstream 0.5.4

* Tue Apr 7 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.3-2
- Modifications for EL-5

* Mon Mar 16 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.3-1
- Upstream 0.5.3

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 05 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.2-2
- Correction on URL and Source0
- Correction on install and buildroot variable

* Mon Jan 05 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.5.2-1
- Initial package
